al_ustr_remove_chr(3)

NAME

al_ustr_remove_chr - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_ustr_remove_chr(ALLEGRO_USTR *us, int pos)

DESCRIPTION

Remove the code point beginning at byte offset pos. Returns true on success. If pos is out of range or pos is not the beginning of a valid code point, returns false leaving the string unmodified.

Use al_ustr_offset(3) to find the byte offset for a code-points offset.

SEE ALSO

al_ustr_remove_range(3)